#ifndef LIST_WIDGET_H
#define LIST_WIDGET_H

#include "Widget.h"

class ListWidget;

class ItemWidget : public Widget {
public:

	ItemWidget(FormPtr* form, CXMLReaderImpl* xml, ListWidget* list) Seg3;
	virtual ~ItemWidget()                                            Seg3;
	
	const char* getText()                                            Seg3;
	void onSelect(EventType* event)                                  Seg3;
	
private:
	int         m_subQid;
	ListWidget* m_list;
	char*       m_text;
};


class ListWidget : public Widget {
public:

	ListWidget(FormPtr* form, CXMLReaderImpl* xml)                 Seg3;
	virtual ~ListWidget()                                          Seg3;
	
	void addItem(ItemWidget* widget)                               Seg3;	
	void onSelect(EventType* event)                                Seg3;
			
private:
	ItemWidget** m_items;
	const char**       m_texts;
	int          m_currentItem;
	int          m_numItems;
	int          m_x;
	int          m_y;
	int          m_width;
	int          m_height;
	int          m_numVisible;
	FontID       m_font;
};


#endif
