#ifndef WIDGET_H
#define WIDGET_H

#include <PalmOS.h>
#include <PalmCompatibility.h>
#include <Libraries/PalmOSGlue/CtlGlue.h>
#include <Control.h>
#include <Form.h>

#include "CXMLReaderImpl.h"
#include "writeXML.h"
#include "timeUtils.h"
#include "segments.h"

class Widget {
	public:
	
		Widget(FormPtr* form, CXMLReaderImpl* xml)   Seg3;
		virtual ~Widget()  Seg3;
				
		int getId()          Seg3;
		FormPtr* getForm()    Seg3;
		
		static FontID stringToFontID(const char* s) Seg3;
		static VoidPtr GetObjectPtr(Int objectID);
		
		virtual void onSelect(EventType* event) Seg3 = 0;
		
	protected:
	private:
	
		int      m_id;
		FormPtr* m_form;
};


#endif
