#ifndef WIDGET_MANAGER
#define WIDGET_MANAGER

#include "Widget.h"

class WidgetManager {
public:
	WidgetManager(FormPtr* form)                Seg3;
	~WidgetManager()               Seg3;
	
	void addWidget(Widget* widget) Seg3;
	Widget* getWidget(int id)      Seg3;
	void removeAll()               Seg3;
	
	unsigned int getNumWidgets()   Seg3;

private:

		// TODO this should be made better; the array should grow
		// dynamically when needed or some other data structure should
		// be used.
		#define MAX_WIDGETS 100
		Widget* m_widgets[MAX_WIDGETS];
		int m_numWidgets;	
		
		FormPtr* m_form;		
};

#endif