#ifndef PREFERENCES_H
#define PREFERENCES_H

#define LauncherPreferences 0
#define AlarmPreferences	1

#define PASSWORDMAXLENGTH	24
#define DEVICEIDMAXLENGTH	12

typedef struct {
	char 		password[PASSWORDMAXLENGTH + 1];
	Boolean 	dontExit;
	char		deviceID[DEVICEIDMAXLENGTH + 1];
} LauncherPreferenceType;

typedef struct {
	UInt32			alarms[100];
	UInt16			alarmsPerDay;
	DateTimeType	alarmsStartDate;
	DateTimeType	alarmsEndDate;
	TimeType		alarmsStartTime;
	TimeType		alarmsEndTime;
	
	UInt16			alarmsLeft;
	UInt8			random;
	UInt32			minRndInterval;
} AlarmPrefsType;

#endif	