import java.net.MalformedURLException;
import java.net.URL;


public class QuestionToImage {

	private static boolean checkArgs(String[] args) {
		if (args.length < 1) {
			System.out.println("Give url of battery-xml-file!");
			return false;
		}
		
		return true;
	}

	public static void main(String[] args) {
		if (!checkArgs(args)) {
			return;
		}
		
		QuestionParser parser = new QuestionParser();
		System.out.println("Reading file " + args[0] + "...");
		
		try {
			parser.parseFile(new URL(args[0]));
			
		} catch (MalformedURLException e) {
			System.out.println("Problems:");
			e.printStackTrace();
			System.out.println("Did you give correct URL? Example: http://www.cs.helsinki.fi/u/mihaasia/ohtu/xmltoimage/battery1.xml");
			return;
		}
		
		System.out.println("Done.");
	}
}
