import java.io.File;
import java.io.FileInputStream;
import java.util.Properties;
import java.util.Date;
import javax.mail.*;
import javax.mail.Message.RecipientType;
import javax.mail.internet.*;

public class Main {

	public static void main(String[] argv) throws Exception {

		String host = "smtp.gmail.com";
		String to   = "Etunimi.Sukunimi@cs.helsinki.fi";		

		Properties props = System.getProperties();
		props.put("mail.smtp.host", host);
		String subject = "Test";
		String text    = "This is test message";
		String username = "SinunKäyttäjänimesiGoogleMailiin";
		String password = "SinunSalasanasiGoogleMailiin";
		props.put("mail.smtps.auth", "true");

		Session session = Session.getInstance(props, null);
		session.setDebug(true);

		MimeMessage msg = new MimeMessage(session);
		msg.setText(text);
		msg.setSubject(subject);
		msg.setSentDate(new Date());		
		msg.setHeader("X-Mailer", "smtpsend");
		
		File file = new File(ClassLoader.getSystemResource("questions1.xml").toURI());
		if (file != null) {
			MimeBodyPart mbp1 = new MimeBodyPart();
			mbp1.setText(text);
			MimeBodyPart mbp2 = new MimeBodyPart();
			mbp2.attachFile(file);
			MimeMultipart mp = new MimeMultipart();
			mp.addBodyPart(mbp1);
			mp.addBodyPart(mbp2);
			msg.setContent(mp);
		} 

		Transport t = null;
		try {
			t = session.getTransport("smtps");
			t.connect(host, username, password);
			msg.setRecipients(RecipientType.TO, InternetAddress.parse(to, false));
			t.sendMessage(msg, msg.getAllRecipients());
		} finally {
			t.close();
		}

	}	

}
