#include "CheckboxWidget.h"

	CheckboxWidget::CheckboxWidget(FormPtr* form, CXMLReaderImpl* xml)
		: Widget(form, xml)
	{
		CtlNewControl( (void**)form,                                   // formPP
					    getId(),                                       // ID
					    checkboxCtl,                                   // style
					    xml->getAttributeValue("text"),                 // textP
   					    xml->getAttributeValueAsInt("x"),               // x
					    xml->getAttributeValueAsInt("y"),               // y					    
					    xml->getAttributeValueAsInt("width"),           // width
					    xml->getAttributeValueAsInt("height"),          // height
					    stringToFontID(xml->getAttributeValue("font")), // font
					    0,                                             // group
					    false                                          // leftAnchor
					  );
					  
		FrmDrawForm(*form);
	}
	
	CheckboxWidget::~CheckboxWidget()
	{
	}
	
	void CheckboxWidget::onSelect(EventType* event)
	{
		XMLOpenFile("answer.xml");				
		XMLWriteStartOfEmptyElem("checkboxEvent");
		XMLWriteIntAttribute("id", event->data.ctlSelect.controlID);
		XMLWriteStringAttribute("text", CtlGetLabel(event->data.ctlSelect.pControl));
		if (event->data.ctlSelect.on)
			XMLWriteStringAttribute("checked","true");
		else 
			XMLWriteStringAttribute("checked","false");
		XMLWriteStringAttribute("time", getCurrentDateTime());
		XMLWriteEndOfEmptyElem();
		XMLCloseFile();
	}
	
