#include "SliderWidget.h"

	SliderWidget::SliderWidget(FormPtr* form, CXMLReaderImpl* xml)
		: Widget(form, xml)
	{
			m_x = xml->getAttributeValueAsInt("x");
			m_y = xml->getAttributeValueAsInt("y");
			m_width = xml->getAttributeValueAsInt("width");
			m_height = xml->getAttributeValueAsInt("height");
			m_min = xml->getAttributeValueAsInt("min");
			m_max = xml->getAttributeValueAsInt("max");
			m_step = xml->getAttributeValueAsInt("step");
			m_value = xml->getAttributeValueAsInt("value");
			
			CtlNewSliderControl( (void**)form,
								 getId(),
								 sliderCtl,
								 0,
								 0,
								 m_x,
								 m_y,
								 m_width,
								 m_height,
								 m_min,
								 m_max,
								 m_step,
								 m_value);
								 
			FrmDrawForm(*form);			
	}
	
	SliderWidget::~SliderWidget()
	{
	}
	
	void SliderWidget::onSelect(EventType* event)
	{
		XMLOpenFile("answer.xml");				
		XMLWriteStartOfEmptyElem("sliderEvent");
		XMLWriteIntAttribute("id", event->data.ctlSelect.controlID);
		XMLWriteIntAttribute("value", event->data.ctlSelect.value);
		XMLWriteStringAttribute("time", getCurrentDateTime());
		XMLWriteEndOfEmptyElem();
		XMLCloseFile();
	}
