#include "Widget.h"

	Widget::Widget(FormPtr* form, CXMLReaderImpl* xml)
		{
			m_form = form;
			m_id = xml->getAttributeValueAsInt("id");
		}
		
		Widget::~Widget()
		{
		}
		
		int Widget::getId() 
		{
			return m_id;
		}
		
		FormPtr* Widget::getForm()
		{
			return m_form;
		}
		

FontID Widget::stringToFontID(const char* s)
{
	if (s == NULL || !strcmp("normal", s))
		return stdFont;
		
	if (!strcmp("bold", s))
		return boldFont;
		
	if (!strcmp("largeFont", s))
		return largeFont;
		
	if (!strcmp("largeBoldFont", s))
		return largeBoldFont;

	return stdFont;
}

VoidPtr Widget::GetObjectPtr(Int objectID)
{
	FormPtr frm;
	
	frm = FrmGetActiveForm();
	return(FrmGetObjectPtr(frm, FrmGetObjectIndex(frm, objectID)));
}